#define ClrWhite 1,1,1
#define ClrBlack 0,0,0
#define ClrGray 0.5,0.5,0.5
#define ClrBlue 0.2,0.5,1
#define ClrRed 0.8,0,0
#define ClrYellow 0.8,0.8,0
#define ClrGreen 0,0.8,0

class RscBackground
{
        type = CT_STATIC;
        idc = -1;
        style = ST_BACKGROUND;
        colorBackground[] = {0, 0, 0, .75};
        colorText[] = {1, 1, 1, 1};
        font = FontM;
        sizeEx = 0.02*SafeZoneH;
};
class RscActiveText
{
	access = 0;
	type = 11;
	style = 2;
	color[] = { 0, 0, 0, 1 };
	colorActive[] = { 0.3, 0.4, 0, 1 };
	soundEnter[] = { "", 0.1, 1 };
	soundPush[] = { "", 0.1, 1 };
	soundClick[] = { "", 0.1, 1 };
	soundEscape[] = { "", 0.1, 1 };
	text = "";
	default = 0;
	idc = -1;
	x = 0;
	y = 0;
	h = 0.035;
	w = 0.035;
	font = "Zeppelin32";
	sizeEx = 0.02*SafeZoneH;
	colortext[] = { 0, 0, 0, 1 };
};
// text
class RscText
{
	idc = -1;
	type = CT_STATIC;
	style = ST_CENTER;
	font = FontM;
	colorText[] = {1,1,1,1};
	colorBackground[] = {0, 0, 0, 1};
	sizeEx = 0.02*SafeZoneH;
	w = 0.2
	h = 0.03
};
//ced6-5097-9fdf-8abe-a3ce-b901-0177-e5dd 
class RscButton
{
  type = CT_BUTTON;
  idc = -1;
  style = ST_CENTER;
  
  x = 0.0;
  y = 0.0;
  w = 0.1;
  h = Dlg_CONTROLHGT;
  sizeEx = 0.02*SafeZoneH;
  offsetX = 0;
  offsetY = 0.002;
  offsetPressedX = 0;
  offsetPressedY = 0.002;
  borderSize = 0;
  
  colorText[] = {ClrWhite,1};
  colorBackground[] = {ClrBlue, 0.5}; // background basic color
  colorFocused[] = {ClrGray,1}; // selected with 'tab'

  colorShadow[] = {ClrBlack,0};
  colorBorder[] = {ClrGray,0.2};
  colorBackgroundActive[] = {ClrRed,0.4}; // mouse-over
  colorDisabled[] = {ClrGray, 0.7};
  colorBackgroundDisabled[] = {ClrGray,0.3};
  font = FontM;

  soundEnter[] = {"", 0.2, 1};
  soundPush[] = {"", 0.2, 1};
  soundClick[] = {"", 0.2, 1};
  soundEscape[] = {"", 0.2, 1};

  default = false;
  text = "";
  action = "";
};

class RscPicture
{
	type = CT_STATIC;
	idc = -1;
	style = ST_PICTURE;

  x = 0.1;
  y = 0.1;
  w = 0.4;
  h = 0.2;
	sizeEx = 0.02*SafeZoneH;

	colorBackground[] = {0,0,0,0};
	colorText[] = {1,1,1,1};
	font = FontM;
  text = "";
};

class RscLB_LIST
{
  // type = defined in derived class
  idc = -1;
  style = ST_LEFT;

  x = 0.1;
  y = 0.1;
  w = 0.2;
  h = 0.1;
  sizeEx = 0.02*SafeZoneH;
  rowHeight = 0.1;

  color[] = {ClrWhite,1};
  colorText[] = {ClrBlack,1};
  colorBackground[] = {ClrGray, 1}; // always clear?
  colorSelect[] = {ClrGray,1};
  colorSelect2[] = {ClrGray,1};
  colorScrollbar[] = {ClrWhite,1};
  colorSelectBackground[] = {ClrGray,1};
  colorSelectBackground2[] = {ClrGray,1};
  font = FontM;
  
  soundSelect[] = {"\ca\ui\data\sound\mouse3", 0.2, 1};
  soundExpand[] = {"\ca\ui\data\sound\mouse2", 0.2, 1};
  soundCollapse[] = {"\ca\ui\data\sound\mouse1", 0.2, 1};
  class ScrollBar
  {
	color[] = {0,0,0,1};
	colorActive[] = {1,0,0,1};
	colorDisabled[] = {0.35,0.35,0.35,1};
	thumb = "\ca\ui\data\ui_scrollbar_thumb_ca.paa";
	arrowFull = "\ca\ui\data\ui_arrow_top_active_ca.paa";
	arrowEmpty = "\ca\ui\data\ui_arrow_top_ca.paa";
	border = "\ca\ui\data\ui_border_scroll_ca.paa";
  };
};
//-------------------------------------
class RscListBox: RscLB_LIST
{
  type = CT_LISTBOX;

  onLBSelChanged = "";
  onLBDblClick = "";
};
class RscCombo: RscLB_LIST
{
  type = CT_COMBO;

  wholeHeight = 0.3;
};
class RscEdit
{
  type = CT_EDIT;
  idc = -1;
  style = ST_LEFT;

  x = 0.1;
  y = 0.1;
  w = 0.1;
  h = 0.1;
  sizeEx = 0.015*SafeZoneH;

  colorText[] = {Dlg_ColorScheme_WindowText,1};
  colorSelection[] = {Dlg_ColorScheme_HighlightBackground,1};
  colorBackground[] = {Dlg_ColorScheme_WindowBackground, 1};
  font = FontM;

  autocomplete = false;
  text = "";
};


class RscMapControl 
{ 
	access = 0; 
	idc = -1; 
	type = CT_MAP_MAIN; 
	style = ST_PICTURE; 
	x = 0.10; y = 0.10; w = 0.80; h = 0.60; 
	colorBackground[] = {1.00, 1.00, 1.00, 1.00}; 
	colorText[] = {0.00, 0.00, 0.00, 1.00}; 
	colorSea[] = {0.56, 0.80, 0.98, 0.50}; 
	colorForest[] = {0.60, 0.80, 0.20, 0.50}; 
	colorRocks[] = {0.50, 0.50, 0.50, 0.50}; 
	colorCountlines[] = {0.65, 0.45, 0.27, 0.50}; 
	colorMainCountlines[] = {0.65, 0.45, 0.27, 1.00}; 
	colorCountlinesWater[] = {0.00, 0.53, 1.00, 0.50}; 
	colorMainCountlinesWater[] = {0.00, 0.53, 1.00, 1.00}; 
	colorForestBorder[] = {0.40, 0.80, 0.00, 1.00}; 
	colorRocksBorder[] = {0.50, 0.50, 0.50, 1.00}; 
	colorPowerLines[] = {0.00, 0.00, 0.00, 1.00}; 
	colorNames[] = {0.00, 0.00, 0.00, 1.00}; 
	colorInactive[] = {1.00, 1.00, 1.00, 0.50}; 
	colorLevels[] = {0.00, 0.00, 0.00, 1.00}; 
	font = "TahomaB"; sizeEx = 0.040000; 
	fontLabel = "TahomaB"; sizeExLabel = 0.02; 
	fontGrid = "TahomaB"; sizeExGrid = 0.02; 
	fontUnits = "TahomaB"; sizeExUnits = 0.02; 
	fontNames = "TahomaB"; sizeExNames = 0.02; 
	fontInfo = "TahomaB"; sizeExInfo = 0.02; 
	fontLevel = "TahomaB"; sizeExLevel = 0.02; 
	stickX[] = {0.20, {"Gamma", 1.00, 1.50} }; 
	stickY[] = {0.20, {"Gamma", 1.00, 1.50} }; 
	ptsPerSquareSea = 6; 
	ptsPerSquareTxt = 8; 
	ptsPerSquareCLn = 8; 
	ptsPerSquareExp = 8; 
	ptsPerSquareCost = 8; 
	ptsPerSquareFor = "4.0f"; 
	ptsPerSquareForEdge = "10.0f"; 
	ptsPerSquareRoad = 2; 
	ptsPerSquareObj = 10; 
	text = "\ca\ui\data\map_background2_co.paa"; 
	showCountourInterval=2; 
	scaleDefault = 0.1; 
	onMouseButtonClick = ""; 
	onMouseButtonDblClick = ""; 
	
	colorOutside[] = {1,1,1,1 };
	colorRailWay[] = {0.800000,0.200000,0,1 };
	maxSatelliteAlpha = 1.0;
	alphaFadeStartScale = 0.150000;
	alphaFadeEndScale = 0.290000;

	class ActiveMarker 
	{ 
		color[] = {0.30, 0.10, 0.90, 1.00}; 
		size = 50; 
	}; 
	
	class Task  {
		icon = "\ca\ui\data\ui_taskstate_current_CA.paa";
		iconCreated = "\ca\ui\data\ui_taskstate_new_CA.paa";
		iconCanceled = "#(argb,8,8,3)color(0,0,0,0)";
		iconDone = "\ca\ui\data\ui_taskstate_done_CA.paa";
		iconFailed = "\ca\ui\data\ui_taskstate_failed_CA.paa";
		color[] = {0.863000,0.584000,0.000000,1 };
		colorCreated[] = {0.950000,0.950000,0.950000,1 };
		colorCanceled[] = {0.606000,0.606000,0.606000,1 };
		colorDone[] = {0.424000,0.651000,0.247000,1 };
		colorFailed[] = {0.706000,0.074500,0.019600,1 };
		size = 27;
		importance = 1;
		coefMin = 1;
		coefMax = 1;
	};
	
	class CustomMark  {
		icon = "\ca\ui\data\map_waypoint_ca.paa";
		color[] = {0.647100,0.670600,0.623500,1.000000 };
		size = 18;
		importance = 1;
		coefMin = 1;
		coefMax = 1;
	};
		
	class Bunker { icon = "\ca\ui\data\map_bunker_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 14; importance = "1.5 * 14 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Bush { icon = "\ca\ui\data\map_bush_ca.paa"; color[] = {0.55, 0.64, 0.43, 1.00}; size = 14; importance = "0.2 * 14 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class BusStop { icon = "\ca\ui\data\map_busstop_ca.paa"; color[] = {0.00, 0.00, 1.00, 1.00}; size = 10; importance = "1 * 10 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Command { icon = "#(argb,8,8,3)color(1,1,1,1)"; color[] = {0.00, 0.00, 0.00, 1.00}; size = 18; importance = 1.00; coefMin = 1.00; coefMax = 1.00; }; 
	class Cross { icon = "\ca\ui\data\map_cross_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "0.7 * 16 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Fortress { icon = "\ca\ui\data\map_bunker_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "2 * 16 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Fuelstation { icon = "\ca\ui\data\map_fuelstation_ca.paa"; color[] = {1.00, 0.35, 0.35, 1.00}; size = 16; importance = "2 * 16 * 0.05"; coefMin = 0.75; coefMax = 4.00; }; 
	class Fountain { icon = "\ca\ui\data\map_fountain_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 12; importance = "1 * 12 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Hospital { icon = "\ca\ui\data\map_hospital_ca.paa"; color[] = {0.78, 0.00, 0.05, 1.00}; size = 16; importance = "2 * 16 * 0.05"; coefMin = 0.50; coefMax = 4; }; 
	class Chapel { icon = "\ca\ui\data\map_chapel_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "1 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class Church { icon = "\ca\ui\data\map_church_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "2 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class Lighthouse { icon = "\ca\ui\data\map_lighthouse_ca.paa"; color[] = {0.78, 0.00, 0.05, 1.00}; size = 20; importance = "3 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class Quay { icon = "\ca\ui\data\map_quay_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "2 * 16 * 0.05"; coefMin = 0.50; coefMax = 4.00; }; 
	class Rock { icon = "\ca\ui\data\map_rock_ca.paa"; color[] = {0.35, 0.35, 0.35, 1.00}; size = 12; importance = "0.5 * 12 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Ruin { icon = "\ca\ui\data\map_ruin_ca.paa"; color[] = {0.78, 0.00, 0.05, 1.00}; size = 16; importance = "1.2 * 16 * 0.05"; coefMin = 1.00; coefMax = 4.00; }; 
	class Stack { icon = "\ca\ui\data\map_stack_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 20; importance = "2 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class Tree { icon = "\ca\ui\data\map_tree_ca.paa"; color[] = {0.55, 0.64, 0.43, 1.00}; size = 12; importance = "0.9 * 16 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class SmallTree { icon = "\ca\ui\data\map_smalltree_ca.paa"; color[] = {0.55, 0.64, 0.43, 1.00}; size = 12; importance = "0.6 * 12 * 0.05"; coefMin = 0.25; coefMax = 4.00; }; 
	class Tourism { icon = "\ca\ui\data\map_tourism_ca.paa"; color[] = {0.78, 0.00, 0.05, 1.00}; size = 16; importance = "1 * 16 * 0.05"; coefMin = 0.70; coefMax = 4.00; }; 
	class Transmitter { icon = "\ca\ui\data\map_transmitter_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 20; importance = "2 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class ViewTower { icon = "\ca\ui\data\map_viewtower_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 16; importance = "2.5 * 16 * 0.05"; coefMin = 0.50; coefMax = 4.00; }; 
	class Watertower { icon = "\ca\ui\data\map_watertower_ca.paa"; color[] = {0.00, 0.35, 0.70, 1.00}; size = 32; importance = "1.2 * 16 * 0.05"; coefMin = 0.90; coefMax = 4.00; }; 
	class Waypoint { icon = "\ca\ui\data\map_waypoint_ca.paa"; color[] = {0.00, 0.00, 0.00, 1.00}; size = 24; importance = 1.00; coefMin = 1.00; coefMax = 1.00; }; 
	class WaypointCompleted { icon = "\ca\ui\data\map_waypoint_completed_ca.paa"; color[] = {0.00, 0.00, 0.00, 1.00}; size = 24; importance = 1.00; coefMin = 1.00; coefMax = 1.00; }; 
};
//-------------------------------------
class RscMap 
{
	access = ReadAndWrite;
	
	class controls {
		class Map : RscMapControl {
			moveOnEdges = 0;
			x = 0;
			y = 0;
			w = 0.83;
			h = 1;
		};
	};
};