
// When you click on the screen, this function will run. The first section checks to find the closest keypart to where you clicked:
private ["_keyP", "_reldir", "_road"];
HOMJ_RoadPainter_Dragging = -1;
_minIndex = -1;
_minDist = 1280000; // equals infinite, basically
for "_i" from 0 to (count HOMJ_RoadPainter_keyParts - 1) do {
	_trialDist = (HOMJ_WorldPos distance ((HOMJ_RoadPainter_keyParts select _i) select 1));
	if (_trialDist < _minDist) then {
		_keyP = (HOMJ_RoadPainter_keyParts select _i);
		_minDist = _trialDist;
		_minIndex = _i;
	};
};

HOMJ_RoadPainter_moveOffsetX = RoX - (((_keyP select 2) select 0) select 0); // Used only for dragging keyparts
HOMJ_RoadPainter_moveOffsetY = RoY - (((_keyP select 2) select 0) select 1); // Used only for dragging keyparts

if ((_minDist < 6) AND (count HOMJ_RoadPainter_SectionStartSelect > 0)) then { // If you are just clicking on the screen, and you click within 6m of a keypart, this function will run
	HOMJ_RoadPainter_Dragging = 1;
	_road = (HOMJ_RoadPainter_keyParts select _minIndex) select 0;
	_roadPos = position _road;	

	while {HOMJ_RoadPainterLMB} do {
		_road setPos [RoX - HOMJ_RoadPainter_moveOffsetX, RoY - HOMJ_RoadPainter_moveOffsetY];
		sleep 0.01;
	};

	while {HOMJ_RoadPainterRMB} do {
		_relDir = [_roadPos, HOMJ_WorldPos] call dirToPos;
		_relDir = 10*(round(_relDir/10));

		_road setDir _relDir;
		_road setPos _roadPos;

		ctrlSetText [19883, format ["Direction: %1", _relDir]];
		sleep 0.01;
	};

	ctrlSetText [19883, format ["", _relDir]];
	_roadPos = position _road;
	_relDir = direction _road;
	_endPos = [(_roadPos select 0) + 6.25*sin(_relDir), (_roadPos select 1) + 6.25*cos(_relDir), 0];
	_center = [((_roadPos select 0) + (_endPos select 0)) / 2, ((_roadPos select 1) + (_endPos select 1)) / 2];
	(HOMJ_RoadPainter_Keyparts select _minIndex) set [1, _center];
	(HOMJ_RoadPainter_Keyparts select _minIndex) set [2, [_roadPos, _endPos]];
};

if ((_minDist < 10) AND (_this == "LMB") AND (count HOMJ_RoadPainter_SectionStartSelect == 0)) then { // If you are looking for a keypart to start a section from, and you click within 10m of a keypart, this function will run
	// find out which side of the key part you clicked on:
	_road = (HOMJ_RoadPainter_keyParts select _minIndex) select 0;
	_roadPos = position _road;
	_roadDir = direction _road;
	_relSides = _keyP select 3;
	_minDist = 1280000;
	{
		_xC = _x select 0;
		_yC = _x select 1;
		_relDir = _x select 2;
		_trialPos = [(_roadPos select 0) + _xC*cos(_roadDir) + _yC*sin(_roadDir), (_roadPos select 1) + _yC*cos(_roadDir) + _xC*sin(_roadDir)];
		_trialDist = _trialPos distance HOMJ_WorldPos;
		if (_trialDist < _minDist) then {
			_minDist = _trialDist;
			HOMJ_RoadPainter_SectionStartSelect = [_trialPos, direction (_keyP select 0) + _relDir, _keyP select 4];
		};
	}
	forEach _relSides; // [[0,0], [0,6.25]]
};
