/*
This script is run whenever the user presses the main Section button (Start, Edit, Stop)
*/

if (HOMJ_RoadPainter_PlacingKeypart) exitWith {["ALREADY PLACING A KEYPART"] execVM "scripts\HOMJ_RoadPainter_ThrowError.sqf";};

if (HOMJ_RoadPainter_Painting) then { // IF ALREADY PAINTING - STOP PAINTING
	
	HOMJ_RoadPainter_Stop = true;
	HOMJ_RoadPainter_Painting = false;
	
} else {
	// CHECK IF THERE ARE ANY KEYPARTS:
	if (count HOMJ_RoadPainter_Keyparts == 0) exitWith {["THERE ARE NO KEYPARTS"] execVM "scripts\HOMJ_RoadPainter_ThrowError.sqf";};

	// THE USER DOES NOT ENTER A SECTION NAME:
	if ((ctrlText 19866) == "") then {

		// NO SECTION NAME ENTERED - CHECK IF THE LISTBOX IS FULL:
		if ((lbSize 19873) == 0) exitWith {["YOU MUST ENTER A SECTION NAME"] execVM "scripts\HOMJ_RoadPainter_ThrowError.sqf";};
		
		// LISTBOX SELECTION IS VALID, CHECK IF THE SELECTED SECTION CONTAINS PIECES OR NOT:
		_sectionName = lbData [19873, lbCurSel 19873];//format ["HOMJ_Road_%1", toUpper(ctrlText 19866)];
		private ["_emptySection"];
		call compile format ["if (count %1 == 0) then {_emptySection = true;} else {_emptySection = false;};", _sectionName];

		if (_emptySection) then {
			// START PAINTING A NEW EMPTY SECTION
			["CLICK ON AN EMPTY SIDE OF A KEYPART TO START"] execVM "scripts\HOMJ_RoadPainter_ThrowMessage.sqf";
			HOMJ_RoadPainter_SectionStartSelect = [];
			waitUntil {(count HOMJ_RoadPainter_SectionStartSelect > 0) OR HOMJ_RoadPainter_Stop};
			if (!HOMJ_RoadPainter_Stop) then {
				[HOMJ_RoadPainter_SectionStartSelect select 0, HOMJ_RoadPainter_SectionStartSelect select 1, HOMJ_RoadPainter_SectionStartSelect select 2, _sectionName] execVM "scripts\HOMJ_RoadPainter_DrawRoad.sqf";
			};
		} else {
			// CONTINUE ADDING ONTO EXISTING FILLED SECTION
			["Drawing road!"] execVM "scripts\HOMJ_RoadPainter_ThrowMessage.sqf";
			private ["_startPos", "_startDir", "_prefix"];
			call compile format ["_startPos = (((%1 select (count %1 - 1)) select 5) select 0)", _sectionName ];
			call compile format ["_startDir = (((%1 select (count %1 - 1)) select 5) select 1)", _sectionName ];
			call compile format ["_prefix = ((%1 select (count %1 - 1)) select 1)", _sectionName ];
			[_startPos, _startDir, _prefix, _sectionName] execVM "scripts\HOMJ_RoadPainter_DrawRoad.sqf";
		};
	} else {
		// THE USER DID ENTER A SECTION NAME. SEE IF THE SECTION ALREADY EXISTS:
		_sectionName = format ["HOMJ_Road_%1", toUpper(ctrlText 19866)];
		if (_sectionName in HOMJ_RoadPainter_Sections) then {
			ctrlSetText [19866, ""];
			_match = -1;
			for "_i" from 0 to (lbSize 19873 - 1) do {
				if ((lbData [19873, _i]) == _sectionName) exitWith {_match = _i};
			};
			if (_match == -1) exitWith {["UNHANDLED ERROR - CODE 1"] execVM "scripts\HOMJ_RoadPainter_ThrowError.sqf";};	
			// SECTION DOES EXIST
			lbSetCurSel [19873, _match];
			["Drawing road!"] execVM "scripts\HOMJ_RoadPainter_ThrowMessage.sqf";
			private ["_startPos", "_startDir", "_prefix"];
			call compile format ["_startPos = (((%1 select (count %1 - 1)) select 5) select 0)", _sectionName ];
			call compile format ["_startDir = (((%1 select (count %1 - 1)) select 5) select 1)", _sectionName ];
			call compile format ["_prefix = ((%1 select (count %1 - 1)) select 1)", _sectionName ];
			[_startPos, _startDir, _prefix, _sectionName] execVM "scripts\HOMJ_RoadPainter_DrawRoad.sqf";
		} else {
			// SECTION DOES NOT EXIST - CREATE NEW SECTION AND START PAINTING ROAD
			_id = lbAdd [19873, toUpper(ctrlText 19866)];
			ctrlSetText [19866, ""];
			lbSetData [19873, _id, _sectionName];
			lbSetCurSel [19873, _id];
			HOMJ_RoadPainter_Sections = HOMJ_RoadPainter_Sections + [_SectionName];
			call compile format ["%1 = [];", _SectionName];
			["CLICK ON AN EMPTY SIDE OF A KEYPART TO START"] execVM "scripts\HOMJ_RoadPainter_ThrowMessage.sqf";

			HOMJ_RoadPainter_SectionStartSelect = [];
			waitUntil {count HOMJ_RoadPainter_SectionStartSelect > 0};
			[HOMJ_RoadPainter_SectionStartSelect select 0, HOMJ_RoadPainter_SectionStartSelect select 1, HOMJ_RoadPainter_SectionStartSelect select 2, _sectionName] execVM "scripts\HOMJ_RoadPainter_DrawRoad.sqf";
			//HOMJ_RoadPainter_SectionStartSelect = [-1];
		};
	};
};

